Package org.apache.cxf.service.invoker

# Interface MethodDispatcher

All Known Implementing Classes:
  `SimpleMethodDispatcher`

public interface MethodDispatcher
Provides functionality to map BindingOperations to Methods and vis a versa.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bind(OperationInfo o, Method... methods)`
  `BindingOperationInfo`
  `getBindingOperation(Method m, Endpoint endpoint)`
  `Method`
  `getMethod(BindingOperationInfo op)`

- ## Method Details

  - ### getMethod

    Method getMethod(BindingOperationInfo op)

  - ### getBindingOperation

    BindingOperationInfo getBindingOperation(Method m, Endpoint endpoint)

  - ### bind

    void bind(OperationInfo o, Method... methods)